Arch Ossature

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch Frame and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎українська
Arrow-left.svg Page précédente: Arch Nest.svg Calepinage
Page suivante: Clôture Arch Fence.svg Arrow-right.svg

Arch Frame.svg Arch Ossature

Emplacement du menu
Arch → Ossature
Ateliers
Atelier Arch
Raccourci par défaut
F R
Introduit dans la version
-
Voir aussi
Arch Mur, Arch Structure

Description

L'outil Arch Frame.svg Arch Ossature sert à construire toutes sortes d'objets structurels basés sur un profil et un schéma d'agencement. Le profil est extrudé sur les bords du modèle, qui peut être n'importe quel objet 2D comme une esquisse ou un objet Draft. Il est particulièrement utile pour créer des rampes ou des murs. Les objets Ossature peuvent alors facilement être transformés en murs ou en objets structurels.

Arch Frame example.jpg

Ici l'objet Frame (structure) est créé à partir d'un Draft Réseau orthogonal d'une Draft Ligne en utilisant un Draft Cercle comme profil.

Utilisation

  1. Créer un schéma ou modèle d'objet et le profil d'un objet, par exemple avec l'atelier Draft ou l'atelier Sketcher.
  2. Sélectionnez en premier l'objet modèle, puis, maintenez la touche Ctrl enfoncée, et sélectionnez l'objet à profiler.
  3. Cliquez sur le bouton Arch Frame.svg Créer un objet forme... ou appuyez sur F puis R.

Options

  • Les ossatures partagent les propriétés et comportements communs de tous les objets Arch Composants
  • L'objet ossature peut être placé à une certaine distance de l'objet modèle, en définissant sa propriété Offset
  • Le profil sera copié à la base de chaque côté de l'objet modèle, puis extrudé sur lui. Vous pouvez contrôler la façon dont le profil est placé à la base de chaque arête avec les propriétés Align et Rotation.

Propriétés

  • DonnéesBase : Le modèle ou motif sur lequel cette structure est basée.
  • DonnéesProfile : Le profil sur lequel cette structure est basée.
  • DonnéesAlign : Spécifie si le profil doit être tourné pour que son axe normal soit aligné avec chaque arête.
  • DonnéesOffset : Une option de distance entre l'objet layout (modèle ou motif) et l'objet frame (structure).
  • DonnéesRotation : La rotation du profil autour de son axe d'extrusion.

Script

Voir aussi : Arch API et FreeCAD Scripts de Base.

L'outil Frame peut être utilisé dans une macro et dans la console Python en utilisant la fonction suivante :

Frame = makeFrame(baseobj, profile)
  • Crée un objet Frame d'un baseobj et profile donnés.
    • baseobj est n'importe quel objet contenant des filaires comme des Draft Polylignes ou un Draft Réseau orthogonal et leur combinaison.
    • profile est un objet 2D extrudable contenant des faces et des fils fermés.

Exemple :

import Draft, Arch

Line = Draft.makeLine(FreeCAD.Vector(0, 0, 0), FreeCAD.Vector(0, 0, 2000))
baseobj = Draft.makeArray(Line, FreeCAD.Vector(1000, 0, 0), FreeCAD.Vector(0, 1, 0), 6, 1)

profile = Draft.makeCircle(200)
Frame = Arch.makeFrame(baseobj, profile)
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Page précédente: Arch Nest.svg Calepinage
Page suivante: Clôture Arch Fence.svg Arrow-right.svg